import { BotContext, ChatChunk as ChatChunkType } from '@/types';
import type { ChatReply, Settings, Theme } from '@/schemas';
type Props = Pick<ChatReply, 'messages' | 'input'> & {
    theme: Theme;
    settings: Settings;
    inputIndex: number;
    activeInputId: number;
    context: BotContext;
    hasError: boolean;
    hideAvatar: boolean;
    streamingMessageId: ChatChunkType['streamingMessageId'];
    onNewBubbleDisplayed: (blockId: string) => Promise<void>;
    onScrollToBottom: (top?: number) => void;
    onSubmit: (input: string) => void;
    onSkip: () => void;
    onAllBubblesDisplayed: () => void;
    filterResponse?: (response: string) => string;
};
export declare const ChatChunk: (props: Props) => import("solid-js").JSX.Element;
export {};
//# sourceMappingURL=ChatChunk.d.ts.map