const close = () => {
  const message = {
    isFromAgent: true,
    command: 'close'
  };
  window.postMessage(message);
};

const hidePreviewMessage = () => {
  const message = {
    isFromAgent: true,
    command: 'hidePreviewMessage'
  };
  window.postMessage(message);
};

const open = options => {
  const message = {
    isFromAgent: true,
    command: 'open',
    prompt: options?.prompt,
    variables: options?.variables
  };
  window.postMessage(message);
};

const setPrefilledVariables = variables => {
  const message = {
    isFromAgent: true,
    command: 'setPrefilledVariables',
    variables
  };
  window.postMessage(message);
};

const showPreviewMessage = proactiveMessage => {
  const message = {
    isFromAgent: true,
    command: 'showPreviewMessage',
    message: proactiveMessage
  };
  window.postMessage(message);
};

const toggle = () => {
  const message = {
    isFromAgent: true,
    command: 'toggle'
  };
  window.postMessage(message);
};

const setInputValue = value => {
  const message = {
    isFromAgent: true,
    command: 'setInputValue',
    value
  };
  window.postMessage(message);
};

export { close, hidePreviewMessage, open, setInputValue, setPrefilledVariables, showPreviewMessage, toggle };
