export declare const sendRequest: <ResponseData>(params: {
    url: string;
    method: string;
    body?: Record<string, unknown> | FormData;
} | string) => Promise<{
    data?: ResponseData | undefined;
    error?: Error | undefined;
}>;
export declare const isDefined: <T>(value: T | null | undefined) => value is NonNullable<T>;
export declare const isNotDefined: <T>(value: T | null | undefined) => value is null | undefined;
export declare const isEmpty: (value: string | undefined | null) => value is undefined;
export declare const isNotEmpty: (value: string | undefined | null) => value is string;
interface Omit {
    <T extends object, K extends [...(keyof T)[]]>(obj: T, ...keys: K): {
        [K2 in Exclude<keyof T, K[number]>]: T[K2];
    };
}
export declare const omit: Omit;
type UploadFileProps = {
    sessionId: string | undefined;
    basePath?: string;
    files: {
        file: File;
        path: string;
    }[];
    onUploadProgress?: (percent: number) => void;
};
type UrlList = (string | null)[];
export declare const uploadFiles: ({ sessionId, basePath, files, onUploadProgress, }: UploadFileProps) => Promise<UrlList>;
export declare const env: (key?: string) => string | undefined;
export declare const hasValue: (value: string | undefined | null) => value is string;
export declare const getViewerUrl: (props?: {
    returnAll?: boolean;
}) => string | undefined;
export declare const injectCustomHeadCode: (customHeadCode: string) => void;
export declare const isSvgSrc: (src: string | undefined) => boolean | undefined;
export {};
//# sourceMappingURL=utils.d.ts.map