import type { SendMessageInput } from '@/schemas';
export declare const sendMessageQuery: ({ apiHost, ...body }: {
    message?: string | undefined;
    sessionId?: string | null | undefined;
    agentName?: string | undefined;
    clientLogs?: {
        status: string;
        description: string;
        details?: unknown;
    }[] | undefined;
    startParams?: {
        resultId?: string | undefined;
        agentName?: string | undefined;
        isPreview?: boolean | undefined;
        startGroupId?: string | undefined;
        prefilledVariables?: Record<string, unknown> | undefined;
        isStreamEnabled?: boolean | undefined;
    } | undefined;
} & {
    apiHost?: string | undefined;
}) => Promise<{
    data?: {
        sessionId?: string | undefined;
        input?: any;
        resultId?: string | undefined;
        messages?: any;
        clientSideActions?: ({
            lastBubbleBlockId?: string | undefined;
        } & ({
            scriptToExecute: {
                content: string;
                args: {
                    id: string;
                    value?: string | number | boolean | (string | null)[] | null | undefined;
                }[];
            };
        } | {
            redirect: {
                isNewTab: boolean;
                url?: string | undefined;
            };
        } | {
            chatwoot: {
                scriptToExecute: {
                    content: string;
                    args: {
                        id: string;
                        value?: string | number | boolean | (string | null)[] | null | undefined;
                    }[];
                };
            };
        } | {
            googleAnalytics: {
                value?: number | `{{${string}}}` | undefined;
                label?: string | undefined;
                trackingId?: string | undefined;
                category?: string | undefined;
                action?: string | undefined;
                sendTo?: string | undefined;
            };
        } | {
            wait: {
                secondsToWaitFor: number;
            };
        } | {
            setVariable: {
                scriptToExecute: {
                    content: string;
                    args: {
                        id: string;
                        value?: string | number | boolean | (string | null)[] | null | undefined;
                    }[];
                };
            };
        } | {
            streamOpenAiChatCompletion: {
                message?: string | undefined;
            };
        } | {
            startPropsToInject: {
                pixelId?: string | undefined;
                customHeadCode?: string | undefined;
                googleAnalyticsId?: string | undefined;
                gtmId?: string | undefined;
            };
        } | {
            pixel: {
                params?: {
                    id: string;
                    value?: any;
                    key?: string | undefined;
                }[] | undefined;
                pixelId?: string | undefined;
                isInitSkip?: boolean | undefined;
                eventType?: undefined;
            } | {
                eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
                params?: {
                    id: string;
                    value?: any;
                    key?: string | undefined;
                }[] | undefined;
                pixelId?: string | undefined;
                isInitSkip?: boolean | undefined;
            } | {
                eventType: "Custom";
                params?: {
                    id: string;
                    value?: any;
                    key?: string | undefined;
                }[] | undefined;
                name?: string | undefined;
                pixelId?: string | undefined;
                isInitSkip?: boolean | undefined;
            };
        }))[] | undefined;
        agentConfig?: {
            id: string;
            theme: {
                general: {
                    font: string;
                    background: {
                        type: import("@/schemas").BackgroundType;
                        content?: string | undefined;
                    };
                };
                chat: {
                    hostBubbles: {
                        color: string;
                        backgroundColor: string;
                    };
                    guestBubbles: {
                        color: string;
                        backgroundColor: string;
                    };
                    buttons: {
                        color: string;
                        backgroundColor: string;
                    };
                    inputs: {
                        color: string;
                        backgroundColor: string;
                        placeholderColor: string;
                    };
                    hostAvatar?: {
                        isEnabled: boolean;
                        url?: string | undefined;
                    } | undefined;
                    guestAvatar?: {
                        isEnabled: boolean;
                        url?: string | undefined;
                    } | undefined;
                    roundness?: "medium" | "large" | "none" | undefined;
                };
                customCss?: string | undefined;
            };
            settings: {
                general: {
                    isBrandingEnabled: boolean;
                    isTypingEmulationEnabled?: boolean | undefined;
                    isInputPrefillEnabled?: boolean | undefined;
                    isHideQueryParamsEnabled?: boolean | undefined;
                    isNewResultOnRefreshEnabled?: boolean | undefined;
                    rememberUser?: {
                        isEnabled?: boolean | undefined;
                        storage?: "session" | "local" | undefined;
                    } | undefined;
                };
                typingEmulation: {
                    enabled: boolean;
                    speed: number;
                    maxDelay: number;
                };
                metadata: {
                    title?: string | undefined;
                    description?: string | undefined;
                    imageUrl?: string | undefined;
                    favIconUrl?: string | undefined;
                    customHeadCode?: string | undefined;
                    googleTagManagerId?: string | undefined;
                };
            };
        } | undefined;
        dynamicTheme?: {
            hostAvatarUrl?: string | undefined;
            guestAvatarUrl?: string | undefined;
        } | undefined;
        logs?: {
            status: string;
            description: string;
            details?: unknown;
        }[] | undefined;
    } | undefined;
    error?: Error | undefined;
}>;
//# sourceMappingURL=sendMessageQuery.d.ts.map