import { z } from 'zod';
export declare const rememberUserStorages: readonly ["session", "local"];
declare const generalSettings: z.ZodObject<{
    isBrandingEnabled: z.ZodBoolean;
    isTypingEmulationEnabled: z.ZodOptional<z.ZodBoolean>;
    isInputPrefillEnabled: z.ZodOptional<z.ZodBoolean>;
    isHideQueryParamsEnabled: z.ZodOptional<z.ZodBoolean>;
    isNewResultOnRefreshEnabled: z.ZodOptional<z.ZodBoolean>;
    rememberUser: z.ZodOptional<z.ZodObject<{
        isEnabled: z.ZodOptional<z.ZodBoolean>;
        storage: z.ZodOptional<z.ZodEnum<["session", "local"]>>;
    }, "strip", z.ZodTypeAny, {
        isEnabled?: boolean | undefined;
        storage?: "session" | "local" | undefined;
    }, {
        isEnabled?: boolean | undefined;
        storage?: "session" | "local" | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    isBrandingEnabled: boolean;
    isTypingEmulationEnabled?: boolean | undefined;
    isInputPrefillEnabled?: boolean | undefined;
    isHideQueryParamsEnabled?: boolean | undefined;
    isNewResultOnRefreshEnabled?: boolean | undefined;
    rememberUser?: {
        isEnabled?: boolean | undefined;
        storage?: "session" | "local" | undefined;
    } | undefined;
}, {
    isBrandingEnabled: boolean;
    isTypingEmulationEnabled?: boolean | undefined;
    isInputPrefillEnabled?: boolean | undefined;
    isHideQueryParamsEnabled?: boolean | undefined;
    isNewResultOnRefreshEnabled?: boolean | undefined;
    rememberUser?: {
        isEnabled?: boolean | undefined;
        storage?: "session" | "local" | undefined;
    } | undefined;
}>;
declare const typingEmulation: z.ZodObject<{
    enabled: z.ZodBoolean;
    speed: z.ZodNumber;
    maxDelay: z.ZodNumber;
}, "strip", z.ZodTypeAny, {
    enabled: boolean;
    speed: number;
    maxDelay: number;
}, {
    enabled: boolean;
    speed: number;
    maxDelay: number;
}>;
declare const metadataSchema: z.ZodObject<{
    title: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodString>;
    imageUrl: z.ZodOptional<z.ZodString>;
    favIconUrl: z.ZodOptional<z.ZodString>;
    customHeadCode: z.ZodOptional<z.ZodString>;
    googleTagManagerId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    title?: string | undefined;
    description?: string | undefined;
    imageUrl?: string | undefined;
    favIconUrl?: string | undefined;
    customHeadCode?: string | undefined;
    googleTagManagerId?: string | undefined;
}, {
    title?: string | undefined;
    description?: string | undefined;
    imageUrl?: string | undefined;
    favIconUrl?: string | undefined;
    customHeadCode?: string | undefined;
    googleTagManagerId?: string | undefined;
}>;
export declare const settingsSchema: z.ZodObject<{
    general: z.ZodObject<{
        isBrandingEnabled: z.ZodBoolean;
        isTypingEmulationEnabled: z.ZodOptional<z.ZodBoolean>;
        isInputPrefillEnabled: z.ZodOptional<z.ZodBoolean>;
        isHideQueryParamsEnabled: z.ZodOptional<z.ZodBoolean>;
        isNewResultOnRefreshEnabled: z.ZodOptional<z.ZodBoolean>;
        rememberUser: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            storage: z.ZodOptional<z.ZodEnum<["session", "local"]>>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            storage?: "session" | "local" | undefined;
        }, {
            isEnabled?: boolean | undefined;
            storage?: "session" | "local" | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        isBrandingEnabled: boolean;
        isTypingEmulationEnabled?: boolean | undefined;
        isInputPrefillEnabled?: boolean | undefined;
        isHideQueryParamsEnabled?: boolean | undefined;
        isNewResultOnRefreshEnabled?: boolean | undefined;
        rememberUser?: {
            isEnabled?: boolean | undefined;
            storage?: "session" | "local" | undefined;
        } | undefined;
    }, {
        isBrandingEnabled: boolean;
        isTypingEmulationEnabled?: boolean | undefined;
        isInputPrefillEnabled?: boolean | undefined;
        isHideQueryParamsEnabled?: boolean | undefined;
        isNewResultOnRefreshEnabled?: boolean | undefined;
        rememberUser?: {
            isEnabled?: boolean | undefined;
            storage?: "session" | "local" | undefined;
        } | undefined;
    }>;
    typingEmulation: z.ZodObject<{
        enabled: z.ZodBoolean;
        speed: z.ZodNumber;
        maxDelay: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        enabled: boolean;
        speed: number;
        maxDelay: number;
    }, {
        enabled: boolean;
        speed: number;
        maxDelay: number;
    }>;
    metadata: z.ZodObject<{
        title: z.ZodOptional<z.ZodString>;
        description: z.ZodOptional<z.ZodString>;
        imageUrl: z.ZodOptional<z.ZodString>;
        favIconUrl: z.ZodOptional<z.ZodString>;
        customHeadCode: z.ZodOptional<z.ZodString>;
        googleTagManagerId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        title?: string | undefined;
        description?: string | undefined;
        imageUrl?: string | undefined;
        favIconUrl?: string | undefined;
        customHeadCode?: string | undefined;
        googleTagManagerId?: string | undefined;
    }, {
        title?: string | undefined;
        description?: string | undefined;
        imageUrl?: string | undefined;
        favIconUrl?: string | undefined;
        customHeadCode?: string | undefined;
        googleTagManagerId?: string | undefined;
    }>;
}, "strip", z.ZodTypeAny, {
    general: {
        isBrandingEnabled: boolean;
        isTypingEmulationEnabled?: boolean | undefined;
        isInputPrefillEnabled?: boolean | undefined;
        isHideQueryParamsEnabled?: boolean | undefined;
        isNewResultOnRefreshEnabled?: boolean | undefined;
        rememberUser?: {
            isEnabled?: boolean | undefined;
            storage?: "session" | "local" | undefined;
        } | undefined;
    };
    typingEmulation: {
        enabled: boolean;
        speed: number;
        maxDelay: number;
    };
    metadata: {
        title?: string | undefined;
        description?: string | undefined;
        imageUrl?: string | undefined;
        favIconUrl?: string | undefined;
        customHeadCode?: string | undefined;
        googleTagManagerId?: string | undefined;
    };
}, {
    general: {
        isBrandingEnabled: boolean;
        isTypingEmulationEnabled?: boolean | undefined;
        isInputPrefillEnabled?: boolean | undefined;
        isHideQueryParamsEnabled?: boolean | undefined;
        isNewResultOnRefreshEnabled?: boolean | undefined;
        rememberUser?: {
            isEnabled?: boolean | undefined;
            storage?: "session" | "local" | undefined;
        } | undefined;
    };
    typingEmulation: {
        enabled: boolean;
        speed: number;
        maxDelay: number;
    };
    metadata: {
        title?: string | undefined;
        description?: string | undefined;
        imageUrl?: string | undefined;
        favIconUrl?: string | undefined;
        customHeadCode?: string | undefined;
        googleTagManagerId?: string | undefined;
    };
}>;
export declare const defaultSettings: Settings;
export type Settings = z.infer<typeof settingsSchema>;
export type GeneralSettings = z.infer<typeof generalSettings>;
export type TypingEmulation = z.infer<typeof typingEmulation>;
export type Metadata = z.infer<typeof metadataSchema>;
export {};
//# sourceMappingURL=settings.d.ts.map