import { z } from 'zod';
export declare const listVariableValue: z.ZodArray<z.ZodNullable<z.ZodString>, "many">;
export declare const variableSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    value: z.ZodOptional<z.ZodNullable<z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodNullable<z.ZodString>, "many">]>>>;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    value?: string | (string | null)[] | null | undefined;
}, {
    id: string;
    name: string;
    value?: string | (string | null)[] | null | undefined;
}>;
/**
 * Variable when retrieved from the database
 */
export declare const variableWithValueSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    value: z.ZodUnion<[z.ZodString, z.ZodArray<z.ZodNullable<z.ZodString>, "many">]>;
}, "strip", z.ZodTypeAny, {
    value: string | (string | null)[];
    id: string;
    name: string;
}, {
    value: string | (string | null)[];
    id: string;
    name: string;
}>;
/**
 * Variable when computed or retrieved from a block
 */
declare const VariableWithUnknowValueSchema: z.ZodObject<{
    id: z.ZodString;
    name: z.ZodString;
    value: z.ZodUnknown;
}, "strip", z.ZodTypeAny, {
    id: string;
    name: string;
    value?: unknown;
}, {
    id: string;
    name: string;
    value?: unknown;
}>;
export type Variable = z.infer<typeof variableSchema>;
export type VariableWithValue = z.infer<typeof variableWithValueSchema>;
export type VariableWithUnknowValue = z.infer<typeof VariableWithUnknowValueSchema>;
export {};
//# sourceMappingURL=variable.d.ts.map