import { z } from 'zod';
import { BubbleBlockType } from './enums';
export declare const audioBubbleContentSchema: z.ZodObject<{
    url: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    url?: string | undefined;
}, {
    url?: string | undefined;
}>;
export declare const audioBubbleBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[BubbleBlockType.AUDIO]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        url?: string | undefined;
    }, {
        url?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: BubbleBlockType.AUDIO;
    content: {
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: BubbleBlockType.AUDIO;
    content: {
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultAudioBubbleContent: {};
export type AudioBubbleBlock = z.infer<typeof audioBubbleBlockSchema>;
export type AudioBubbleContent = z.infer<typeof audioBubbleContentSchema>;
//# sourceMappingURL=audio.d.ts.map