import { z } from 'zod';
import { BubbleBlockType } from './enums';
export declare const embedBubbleContentSchema: z.ZodObject<{
    url: z.ZodOptional<z.ZodString>;
    height: z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>;
}, "strip", z.ZodTypeAny, {
    height: number | `{{${string}}}`;
    url?: string | undefined;
}, {
    height: number | `{{${string}}}`;
    url?: string | undefined;
}>;
export declare const embedBubbleBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[BubbleBlockType.EMBED]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        height: z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>;
    }, "strip", z.ZodTypeAny, {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    }, {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: BubbleBlockType.EMBED;
    content: {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: BubbleBlockType.EMBED;
    content: {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultEmbedBubbleContent: EmbedBubbleContent;
export type EmbedBubbleBlock = z.infer<typeof embedBubbleBlockSchema>;
export type EmbedBubbleContent = z.infer<typeof embedBubbleContentSchema>;
//# sourceMappingURL=embed.d.ts.map