import { z } from 'zod';
import { BubbleBlockType } from './enums';
export declare const imageBubbleContentSchema: z.ZodObject<{
    url: z.ZodOptional<z.ZodString>;
    clickLink: z.ZodOptional<z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        alt: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        url?: string | undefined;
        alt?: string | undefined;
    }, {
        url?: string | undefined;
        alt?: string | undefined;
    }>>;
}, "strip", z.ZodTypeAny, {
    url?: string | undefined;
    clickLink?: {
        url?: string | undefined;
        alt?: string | undefined;
    } | undefined;
}, {
    url?: string | undefined;
    clickLink?: {
        url?: string | undefined;
        alt?: string | undefined;
    } | undefined;
}>;
export declare const imageBubbleBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[BubbleBlockType.IMAGE]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        clickLink: z.ZodOptional<z.ZodObject<{
            url: z.ZodOptional<z.ZodString>;
            alt: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            url?: string | undefined;
            alt?: string | undefined;
        }, {
            url?: string | undefined;
            alt?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    }, {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: BubbleBlockType.IMAGE;
    content: {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: BubbleBlockType.IMAGE;
    content: {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultImageBubbleContent: ImageBubbleContent;
export type ImageBubbleBlock = z.infer<typeof imageBubbleBlockSchema>;
export type ImageBubbleContent = z.infer<typeof imageBubbleContentSchema>;
//# sourceMappingURL=image.d.ts.map