import { z } from 'zod';
import { BubbleBlockType } from './enums';
import type { TElement } from '@udecode/plate-common';
export declare const defaultTextBubbleContent: TextBubbleContent;
export declare const textBubbleContentSchema: z.ZodObject<{
    html: z.ZodOptional<z.ZodString>;
    richText: z.ZodArray<z.ZodAny, "many">;
    plainText: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    richText: any[];
    html?: string | undefined;
    plainText?: string | undefined;
}, {
    richText: any[];
    html?: string | undefined;
    plainText?: string | undefined;
}>;
export declare const textBubbleBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[BubbleBlockType.TEXT]>;
    content: z.ZodObject<{
        html: z.ZodOptional<z.ZodString>;
        richText: z.ZodArray<z.ZodAny, "many">;
        plainText: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    }, {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: BubbleBlockType.TEXT;
    content: {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: BubbleBlockType.TEXT;
    content: {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>;
export type TextBubbleBlock = Omit<z.infer<typeof textBubbleBlockSchema>, 'content'> & {
    content: {
        richText: TElement[];
        html?: string;
        plainText?: string;
    };
};
export type TextBubbleContent = TextBubbleBlock['content'];
//# sourceMappingURL=text.d.ts.map