import { z } from 'zod';
import { BubbleBlockType } from '../enums';
import { VideoBubbleContentType } from './enums';
export declare const videoBubbleContentSchema: z.ZodObject<{
    url: z.ZodOptional<z.ZodString>;
    id: z.ZodOptional<z.ZodString>;
    type: z.ZodOptional<z.ZodNativeEnum<typeof VideoBubbleContentType>>;
}, "strip", z.ZodTypeAny, {
    url?: string | undefined;
    id?: string | undefined;
    type?: VideoBubbleContentType | undefined;
}, {
    url?: string | undefined;
    id?: string | undefined;
    type?: VideoBubbleContentType | undefined;
}>;
export declare const videoBubbleBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[BubbleBlockType.VIDEO]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        id: z.ZodOptional<z.ZodString>;
        type: z.ZodOptional<z.ZodNativeEnum<typeof VideoBubbleContentType>>;
    }, "strip", z.ZodTypeAny, {
        url?: string | undefined;
        id?: string | undefined;
        type?: VideoBubbleContentType | undefined;
    }, {
        url?: string | undefined;
        id?: string | undefined;
        type?: VideoBubbleContentType | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: BubbleBlockType.VIDEO;
    content: {
        url?: string | undefined;
        id?: string | undefined;
        type?: VideoBubbleContentType | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: BubbleBlockType.VIDEO;
    content: {
        url?: string | undefined;
        id?: string | undefined;
        type?: VideoBubbleContentType | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultVideoBubbleContent: VideoBubbleContent;
export type VideoBubbleBlock = z.infer<typeof videoBubbleBlockSchema>;
export type VideoBubbleContent = z.infer<typeof videoBubbleContentSchema>;
//# sourceMappingURL=schemas.d.ts.map