import { z } from 'zod';
import { ItemType } from '../../items/enums';
import { InputBlockType } from './enums';
export declare const choiceInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    isMultipleChoice: z.ZodBoolean;
    buttonLabel: z.ZodString;
    dynamicVariableId: z.ZodOptional<z.ZodString>;
    isSearchable: z.ZodOptional<z.ZodBoolean>;
    searchInputPlaceholder: z.ZodOptional<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    isMultipleChoice: boolean;
    buttonLabel: string;
    variableId?: string | undefined;
    dynamicVariableId?: string | undefined;
    isSearchable?: boolean | undefined;
    searchInputPlaceholder?: string | undefined;
}, {
    isMultipleChoice: boolean;
    buttonLabel: string;
    variableId?: string | undefined;
    dynamicVariableId?: string | undefined;
    isSearchable?: boolean | undefined;
    searchInputPlaceholder?: string | undefined;
}>;
export declare const defaultChoiceInputOptions: {
    readonly buttonLabel: "Send";
    readonly searchInputPlaceholder: "Filter the options...";
    readonly isMultipleChoice: false;
    readonly isSearchable: false;
};
export declare const buttonItemSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<ItemType.BUTTON>;
    content: z.ZodOptional<z.ZodString>;
    isUrl: z.ZodOptional<z.ZodBoolean>;
    displayCondition: z.ZodOptional<z.ZodObject<{
        isEnabled: z.ZodOptional<z.ZodBoolean>;
        condition: z.ZodOptional<z.ZodObject<{
            logicalOperator: z.ZodNativeEnum<typeof import("../logic/condition").LogicalOperator>;
            comparisons: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                variableId: z.ZodOptional<z.ZodString>;
                comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("../logic/condition").ComparisonOperators>>;
                value: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        }, {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        }>>;
    }, "strip", z.ZodTypeAny, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }>>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    type: ItemType.BUTTON;
    blockId: string;
    outgoingEdgeId?: string | undefined;
    content?: string | undefined;
    isUrl?: boolean | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
}, {
    id: string;
    type: ItemType.BUTTON;
    blockId: string;
    outgoingEdgeId?: string | undefined;
    content?: string | undefined;
    isUrl?: boolean | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
}>;
export declare const choiceInputSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.CHOICE]>;
    items: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<ItemType.BUTTON>;
        content: z.ZodOptional<z.ZodString>;
        isUrl: z.ZodOptional<z.ZodBoolean>;
        displayCondition: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            condition: z.ZodOptional<z.ZodObject<{
                logicalOperator: z.ZodNativeEnum<typeof import("../logic/condition").LogicalOperator>;
                comparisons: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    variableId: z.ZodOptional<z.ZodString>;
                    comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("../logic/condition").ComparisonOperators>>;
                    value: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            }, {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            }>>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        type: ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }, {
        id: string;
        type: ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }>, "many">;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isMultipleChoice: z.ZodBoolean;
        buttonLabel: z.ZodString;
        dynamicVariableId: z.ZodOptional<z.ZodString>;
        isSearchable: z.ZodOptional<z.ZodBoolean>;
        searchInputPlaceholder: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    }, {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    };
    type: InputBlockType.CHOICE;
    items: {
        id: string;
        type: ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    };
    type: InputBlockType.CHOICE;
    items: {
        id: string;
        type: ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}>;
export type ButtonItem = z.infer<typeof buttonItemSchema>;
export type ChoiceInputBlock = z.infer<typeof choiceInputSchema>;
export type ChoiceInputOptions = z.infer<typeof choiceInputOptionsSchema>;
//# sourceMappingURL=choice.d.ts.map