import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const dateInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    labels: z.ZodObject<{
        button: z.ZodString;
        from: z.ZodString;
        to: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        from: string;
        to: string;
    }, {
        button: string;
        from: string;
        to: string;
    }>;
    hasTime: z.ZodBoolean;
    isRange: z.ZodBoolean;
}>, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        from: string;
        to: string;
    };
    hasTime: boolean;
    isRange: boolean;
    variableId?: string | undefined;
}, {
    labels: {
        button: string;
        from: string;
        to: string;
    };
    hasTime: boolean;
    isRange: boolean;
    variableId?: string | undefined;
}>;
export declare const dateInputSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.DATE]>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            button: z.ZodString;
            from: z.ZodString;
            to: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            from: string;
            to: string;
        }, {
            button: string;
            from: string;
            to: string;
        }>;
        hasTime: z.ZodBoolean;
        isRange: z.ZodBoolean;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    };
    type: InputBlockType.DATE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    };
    type: InputBlockType.DATE;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultDateInputOptions: DateInputOptions;
export type DateInputBlock = z.infer<typeof dateInputSchema>;
export type DateInputOptions = z.infer<typeof dateInputOptionsSchema>;
//# sourceMappingURL=date.d.ts.map