import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const emailInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    labels: z.ZodObject<{
        placeholder: z.ZodString;
        button: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        placeholder: string;
    }, {
        button: string;
        placeholder: string;
    }>;
}>, {
    retryMessageContent: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        placeholder: string;
    };
    retryMessageContent: string;
    variableId?: string | undefined;
}, {
    labels: {
        button: string;
        placeholder: string;
    };
    retryMessageContent: string;
    variableId?: string | undefined;
}>;
export declare const emailInputSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.EMAIL]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: InputBlockType.EMAIL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: InputBlockType.EMAIL;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultEmailInputOptions: EmailInputOptions;
export type EmailInputBlock = z.infer<typeof emailInputSchema>;
export type EmailInputOptions = z.infer<typeof emailInputOptionsSchema>;
//# sourceMappingURL=email.d.ts.map