import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const fileInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    isRequired: z.ZodOptional<z.ZodBoolean>;
    isMultipleAllowed: z.ZodBoolean;
    labels: z.ZodObject<{
        placeholder: z.ZodString;
        button: z.ZodString;
        clear: z.ZodOptional<z.ZodString>;
        skip: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        button: string;
        placeholder: string;
        clear?: string | undefined;
        skip?: string | undefined;
    }, {
        button: string;
        placeholder: string;
        clear?: string | undefined;
        skip?: string | undefined;
    }>;
    sizeLimit: z.ZodOptional<z.ZodNumber>;
}>, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        placeholder: string;
        clear?: string | undefined;
        skip?: string | undefined;
    };
    isMultipleAllowed: boolean;
    variableId?: string | undefined;
    isRequired?: boolean | undefined;
    sizeLimit?: number | undefined;
}, {
    labels: {
        button: string;
        placeholder: string;
        clear?: string | undefined;
        skip?: string | undefined;
    };
    isMultipleAllowed: boolean;
    variableId?: string | undefined;
    isRequired?: boolean | undefined;
    sizeLimit?: number | undefined;
}>;
export declare const fileInputStepSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<InputBlockType.FILE>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isRequired: z.ZodOptional<z.ZodBoolean>;
        isMultipleAllowed: z.ZodBoolean;
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
            clear: z.ZodOptional<z.ZodString>;
            skip: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        }, {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        }>;
        sizeLimit: z.ZodOptional<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    };
    type: InputBlockType.FILE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    };
    type: InputBlockType.FILE;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultFileInputOptions: {
    isRequired: true;
    isMultipleAllowed: false;
    labels: {
        placeholder: string;
        button: string;
        clear: string;
        skip: string;
    };
};
export type FileInputBlock = z.infer<typeof fileInputStepSchema>;
export type FileInputOptions = z.infer<typeof fileInputOptionsSchema>;
//# sourceMappingURL=file.d.ts.map