import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const numberInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    labels: z.ZodObject<{
        placeholder: z.ZodString;
        button: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        placeholder: string;
    }, {
        button: string;
        placeholder: string;
    }>;
}>, {
    min: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
    max: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
    step: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
}>, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        placeholder: string;
    };
    variableId?: string | undefined;
    min?: number | `{{${string}}}` | undefined;
    max?: number | `{{${string}}}` | undefined;
    step?: number | `{{${string}}}` | undefined;
}, {
    labels: {
        button: string;
        placeholder: string;
    };
    variableId?: string | undefined;
    min?: number | `{{${string}}}` | undefined;
    max?: number | `{{${string}}}` | undefined;
    step?: number | `{{${string}}}` | undefined;
}>;
export declare const numberInputSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.NUMBER]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        min: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        max: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        step: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    };
    type: InputBlockType.NUMBER;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    };
    type: InputBlockType.NUMBER;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultNumberInputOptions: NumberInputOptions;
export type NumberInputBlock = z.infer<typeof numberInputSchema>;
export type NumberInputOptions = z.infer<typeof numberInputOptionsSchema>;
//# sourceMappingURL=number.d.ts.map