import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const phoneNumberInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    labels: z.ZodObject<{
        placeholder: z.ZodString;
        button: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        placeholder: string;
    }, {
        button: string;
        placeholder: string;
    }>;
}>, {
    retryMessageContent: z.ZodString;
    defaultCountryCode: z.ZodOptional<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        placeholder: string;
    };
    retryMessageContent: string;
    variableId?: string | undefined;
    defaultCountryCode?: string | undefined;
}, {
    labels: {
        button: string;
        placeholder: string;
    };
    retryMessageContent: string;
    variableId?: string | undefined;
    defaultCountryCode?: string | undefined;
}>;
export declare const phoneNumberInputBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.PHONE]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
        defaultCountryCode: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    };
    type: InputBlockType.PHONE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    };
    type: InputBlockType.PHONE;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultPhoneInputOptions: PhoneNumberInputOptions;
export type PhoneNumberInputBlock = z.infer<typeof phoneNumberInputBlockSchema>;
export type PhoneNumberInputOptions = z.infer<typeof phoneNumberInputOptionsSchema>;
//# sourceMappingURL=phone.d.ts.map