import { z } from 'zod';
import { ItemType } from '../../items/enums';
import { InputBlockType } from './enums';
export declare const pictureChoiceOptionsSchema: z.ZodObject<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    isMultipleChoice: z.ZodOptional<z.ZodBoolean>;
    isSearchable: z.ZodOptional<z.ZodBoolean>;
    buttonLabel: z.ZodString;
    searchInputPlaceholder: z.ZodString;
    dynamicItems: z.ZodOptional<z.ZodObject<{
        isEnabled: z.ZodOptional<z.ZodBoolean>;
        titlesVariableId: z.ZodOptional<z.ZodString>;
        descriptionsVariableId: z.ZodOptional<z.ZodString>;
        pictureSrcsVariableId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        isEnabled?: boolean | undefined;
        titlesVariableId?: string | undefined;
        descriptionsVariableId?: string | undefined;
        pictureSrcsVariableId?: string | undefined;
    }, {
        isEnabled?: boolean | undefined;
        titlesVariableId?: string | undefined;
        descriptionsVariableId?: string | undefined;
        pictureSrcsVariableId?: string | undefined;
    }>>;
}>, "strip", z.ZodTypeAny, {
    buttonLabel: string;
    searchInputPlaceholder: string;
    variableId?: string | undefined;
    isMultipleChoice?: boolean | undefined;
    isSearchable?: boolean | undefined;
    dynamicItems?: {
        isEnabled?: boolean | undefined;
        titlesVariableId?: string | undefined;
        descriptionsVariableId?: string | undefined;
        pictureSrcsVariableId?: string | undefined;
    } | undefined;
}, {
    buttonLabel: string;
    searchInputPlaceholder: string;
    variableId?: string | undefined;
    isMultipleChoice?: boolean | undefined;
    isSearchable?: boolean | undefined;
    dynamicItems?: {
        isEnabled?: boolean | undefined;
        titlesVariableId?: string | undefined;
        descriptionsVariableId?: string | undefined;
        pictureSrcsVariableId?: string | undefined;
    } | undefined;
}>;
export declare const pictureChoiceItemSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<ItemType.PICTURE_CHOICE>;
    pictureSrc: z.ZodOptional<z.ZodString>;
    title: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodString>;
    displayCondition: z.ZodOptional<z.ZodObject<{
        isEnabled: z.ZodOptional<z.ZodBoolean>;
        condition: z.ZodOptional<z.ZodObject<{
            logicalOperator: z.ZodNativeEnum<typeof import("../logic/condition").LogicalOperator>;
            comparisons: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                variableId: z.ZodOptional<z.ZodString>;
                comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("../logic/condition").ComparisonOperators>>;
                value: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        }, {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        }>>;
    }, "strip", z.ZodTypeAny, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }>>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    type: ItemType.PICTURE_CHOICE;
    blockId: string;
    title?: string | undefined;
    outgoingEdgeId?: string | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
    description?: string | undefined;
    pictureSrc?: string | undefined;
}, {
    id: string;
    type: ItemType.PICTURE_CHOICE;
    blockId: string;
    title?: string | undefined;
    outgoingEdgeId?: string | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../logic/condition").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
    description?: string | undefined;
    pictureSrc?: string | undefined;
}>;
export declare const pictureChoiceBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.PICTURE_CHOICE]>;
    items: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<ItemType.PICTURE_CHOICE>;
        pictureSrc: z.ZodOptional<z.ZodString>;
        title: z.ZodOptional<z.ZodString>;
        description: z.ZodOptional<z.ZodString>;
        displayCondition: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            condition: z.ZodOptional<z.ZodObject<{
                logicalOperator: z.ZodNativeEnum<typeof import("../logic/condition").LogicalOperator>;
                comparisons: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    variableId: z.ZodOptional<z.ZodString>;
                    comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("../logic/condition").ComparisonOperators>>;
                    value: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            }, {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            }>>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        type: ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }, {
        id: string;
        type: ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }>, "many">;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isMultipleChoice: z.ZodOptional<z.ZodBoolean>;
        isSearchable: z.ZodOptional<z.ZodBoolean>;
        buttonLabel: z.ZodString;
        searchInputPlaceholder: z.ZodString;
        dynamicItems: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            titlesVariableId: z.ZodOptional<z.ZodString>;
            descriptionsVariableId: z.ZodOptional<z.ZodString>;
            pictureSrcsVariableId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        }, {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    }, {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    };
    type: InputBlockType.PICTURE_CHOICE;
    items: {
        id: string;
        type: ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    };
    type: InputBlockType.PICTURE_CHOICE;
    items: {
        id: string;
        type: ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("../logic/condition").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("../logic/condition").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}>;
export type PictureChoiceItem = z.infer<typeof pictureChoiceItemSchema>;
export type PictureChoiceBlock = z.infer<typeof pictureChoiceBlockSchema>;
export declare const defaultPictureChoiceOptions: PictureChoiceBlock['options'];
//# sourceMappingURL=pictureChoice.d.ts.map