import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const defaultRatingInputOptions: RatingInputOptions;
export declare const ratingInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    buttonType: z.ZodUnion<[z.ZodLiteral<"Icons">, z.ZodLiteral<"Numbers">]>;
    length: z.ZodNumber;
    labels: z.ZodObject<{
        left: z.ZodOptional<z.ZodString>;
        right: z.ZodOptional<z.ZodString>;
        button: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        left?: string | undefined;
        right?: string | undefined;
    }, {
        button: string;
        left?: string | undefined;
        right?: string | undefined;
    }>;
    customIcon: z.ZodObject<{
        isEnabled: z.ZodBoolean;
        svg: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        isEnabled: boolean;
        svg?: string | undefined;
    }, {
        isEnabled: boolean;
        svg?: string | undefined;
    }>;
    isOneClickSubmitEnabled: z.ZodOptional<z.ZodBoolean>;
}>, "strip", z.ZodTypeAny, {
    length: number;
    labels: {
        button: string;
        left?: string | undefined;
        right?: string | undefined;
    };
    buttonType: "Icons" | "Numbers";
    customIcon: {
        isEnabled: boolean;
        svg?: string | undefined;
    };
    variableId?: string | undefined;
    isOneClickSubmitEnabled?: boolean | undefined;
}, {
    length: number;
    labels: {
        button: string;
        left?: string | undefined;
        right?: string | undefined;
    };
    buttonType: "Icons" | "Numbers";
    customIcon: {
        isEnabled: boolean;
        svg?: string | undefined;
    };
    variableId?: string | undefined;
    isOneClickSubmitEnabled?: boolean | undefined;
}>;
export declare const ratingInputBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<InputBlockType.RATING>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        buttonType: z.ZodUnion<[z.ZodLiteral<"Icons">, z.ZodLiteral<"Numbers">]>;
        length: z.ZodNumber;
        labels: z.ZodObject<{
            left: z.ZodOptional<z.ZodString>;
            right: z.ZodOptional<z.ZodString>;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        }, {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        }>;
        customIcon: z.ZodObject<{
            isEnabled: z.ZodBoolean;
            svg: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            isEnabled: boolean;
            svg?: string | undefined;
        }, {
            isEnabled: boolean;
            svg?: string | undefined;
        }>;
        isOneClickSubmitEnabled: z.ZodOptional<z.ZodBoolean>;
    }>, "strip", z.ZodTypeAny, {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    }, {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    };
    type: InputBlockType.RATING;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    };
    type: InputBlockType.RATING;
    outgoingEdgeId?: string | undefined;
}>;
export type RatingInputBlock = z.infer<typeof ratingInputBlockSchema>;
export type RatingInputOptions = z.infer<typeof ratingInputOptionsSchema>;
//# sourceMappingURL=rating.d.ts.map