import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const textInputOptionsBaseSchema: z.ZodObject<{
    labels: z.ZodObject<{
        placeholder: z.ZodString;
        button: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        placeholder: string;
    }, {
        button: string;
        placeholder: string;
    }>;
}, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        placeholder: string;
    };
}, {
    labels: {
        button: string;
        placeholder: string;
    };
}>;
export declare const textInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    labels: z.ZodObject<{
        placeholder: z.ZodString;
        button: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        placeholder: string;
    }, {
        button: string;
        placeholder: string;
    }>;
}, {
    variableId: z.ZodOptional<z.ZodString>;
}>, {
    isLong: z.ZodBoolean;
}>, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        placeholder: string;
    };
    isLong: boolean;
    variableId?: string | undefined;
}, {
    labels: {
        button: string;
        placeholder: string;
    };
    isLong: boolean;
    variableId?: string | undefined;
}>;
export declare const defaultTextInputOptions: TextInputOptions;
export declare const textInputSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.TEXT]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }, {
        variableId: z.ZodOptional<z.ZodString>;
    }>, {
        isLong: z.ZodBoolean;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    };
    type: InputBlockType.TEXT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    };
    type: InputBlockType.TEXT;
    outgoingEdgeId?: string | undefined;
}>;
export type TextInputBlock = z.infer<typeof textInputSchema>;
export type TextInputOptions = z.infer<typeof textInputOptionsSchema>;
//# sourceMappingURL=text.d.ts.map