import { z } from 'zod';
import { InputBlockType } from './enums';
export declare const urlInputOptionsSchema: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
    variableId: z.ZodOptional<z.ZodString>;
}, {
    labels: z.ZodObject<{
        placeholder: z.ZodString;
        button: z.ZodString;
    }, "strip", z.ZodTypeAny, {
        button: string;
        placeholder: string;
    }, {
        button: string;
        placeholder: string;
    }>;
}>, {
    retryMessageContent: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    labels: {
        button: string;
        placeholder: string;
    };
    retryMessageContent: string;
    variableId?: string | undefined;
}, {
    labels: {
        button: string;
        placeholder: string;
    };
    retryMessageContent: string;
    variableId?: string | undefined;
}>;
export declare const urlInputSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[InputBlockType.URL]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: InputBlockType.URL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: InputBlockType.URL;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultUrlInputOptions: UrlInputOptions;
export type UrlInputBlock = z.infer<typeof urlInputSchema>;
export type UrlInputOptions = z.infer<typeof urlInputOptionsSchema>;
//# sourceMappingURL=url.d.ts.map