import { z } from 'zod';
import { IntegrationBlockType } from './enums';
export declare const googleAnalyticsOptionsSchema: z.ZodObject<{
    trackingId: z.ZodOptional<z.ZodString>;
    category: z.ZodOptional<z.ZodString>;
    action: z.ZodOptional<z.ZodString>;
    label: z.ZodOptional<z.ZodString>;
    value: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
    sendTo: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    value?: number | `{{${string}}}` | undefined;
    label?: string | undefined;
    trackingId?: string | undefined;
    category?: string | undefined;
    action?: string | undefined;
    sendTo?: string | undefined;
}, {
    value?: number | `{{${string}}}` | undefined;
    label?: string | undefined;
    trackingId?: string | undefined;
    category?: string | undefined;
    action?: string | undefined;
    sendTo?: string | undefined;
}>;
export declare const googleAnalyticsBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[IntegrationBlockType.GOOGLE_ANALYTICS]>;
    options: z.ZodObject<{
        trackingId: z.ZodOptional<z.ZodString>;
        category: z.ZodOptional<z.ZodString>;
        action: z.ZodOptional<z.ZodString>;
        label: z.ZodOptional<z.ZodString>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        sendTo: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    }, {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    };
    type: IntegrationBlockType.GOOGLE_ANALYTICS;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    };
    type: IntegrationBlockType.GOOGLE_ANALYTICS;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultGoogleAnalyticsOptions: GoogleAnalyticsOptions;
export type GoogleAnalyticsBlock = z.infer<typeof googleAnalyticsBlockSchema>;
export type GoogleAnalyticsOptions = z.infer<typeof googleAnalyticsOptionsSchema>;
//# sourceMappingURL=googleAnalytics.d.ts.map