import { z } from 'zod';
import { IntegrationBlockType } from '../enums';
export declare const pixelOptionsSchema: z.ZodDiscriminatedUnion<"eventType", [z.ZodObject<z.objectUtil.extendShape<{
    pixelId: z.ZodOptional<z.ZodString>;
    isInitSkip: z.ZodOptional<z.ZodBoolean>;
    params: z.ZodOptional<z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        key: z.ZodOptional<z.ZodString>;
        value: z.ZodOptional<z.ZodAny>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        value?: any;
        key?: string | undefined;
    }, {
        id: string;
        value?: any;
        key?: string | undefined;
    }>, "many">>;
}, {
    eventType: z.ZodUndefined;
}>, "strip", z.ZodTypeAny, {
    params?: {
        id: string;
        value?: any;
        key?: string | undefined;
    }[] | undefined;
    pixelId?: string | undefined;
    isInitSkip?: boolean | undefined;
    eventType?: undefined;
}, {
    params?: {
        id: string;
        value?: any;
        key?: string | undefined;
    }[] | undefined;
    pixelId?: string | undefined;
    isInitSkip?: boolean | undefined;
    eventType?: undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    pixelId: z.ZodOptional<z.ZodString>;
    isInitSkip: z.ZodOptional<z.ZodBoolean>;
    params: z.ZodOptional<z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        key: z.ZodOptional<z.ZodString>;
        value: z.ZodOptional<z.ZodAny>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        value?: any;
        key?: string | undefined;
    }, {
        id: string;
        value?: any;
        key?: string | undefined;
    }>, "many">>;
}, {
    eventType: z.ZodEnum<["Lead", "Contact", "CompleteRegistration", "Schedule", "SubmitApplication", "ViewContent", "AddPaymentInfo", "AddToCart", "AddToWishlist", "CustomizeProduct", "Donate", "FindLocation", "InitiateCheckout", "Purchase", "Search", "StartTrial", "Subscribe"]>;
}>, "strip", z.ZodTypeAny, {
    eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
    params?: {
        id: string;
        value?: any;
        key?: string | undefined;
    }[] | undefined;
    pixelId?: string | undefined;
    isInitSkip?: boolean | undefined;
}, {
    eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
    params?: {
        id: string;
        value?: any;
        key?: string | undefined;
    }[] | undefined;
    pixelId?: string | undefined;
    isInitSkip?: boolean | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    pixelId: z.ZodOptional<z.ZodString>;
    isInitSkip: z.ZodOptional<z.ZodBoolean>;
    params: z.ZodOptional<z.ZodArray<z.ZodObject<{
        id: z.ZodString;
        key: z.ZodOptional<z.ZodString>;
        value: z.ZodOptional<z.ZodAny>;
    }, "strip", z.ZodTypeAny, {
        id: string;
        value?: any;
        key?: string | undefined;
    }, {
        id: string;
        value?: any;
        key?: string | undefined;
    }>, "many">>;
}, {
    eventType: z.ZodEnum<["Custom"]>;
    name: z.ZodOptional<z.ZodString>;
}>, "strip", z.ZodTypeAny, {
    eventType: "Custom";
    params?: {
        id: string;
        value?: any;
        key?: string | undefined;
    }[] | undefined;
    name?: string | undefined;
    pixelId?: string | undefined;
    isInitSkip?: boolean | undefined;
}, {
    eventType: "Custom";
    params?: {
        id: string;
        value?: any;
        key?: string | undefined;
    }[] | undefined;
    name?: string | undefined;
    pixelId?: string | undefined;
    isInitSkip?: boolean | undefined;
}>]>;
export declare const pixelBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[IntegrationBlockType.PIXEL]>;
    options: z.ZodDiscriminatedUnion<"eventType", [z.ZodObject<z.objectUtil.extendShape<{
        pixelId: z.ZodOptional<z.ZodString>;
        isInitSkip: z.ZodOptional<z.ZodBoolean>;
        params: z.ZodOptional<z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            key: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            value?: any;
            key?: string | undefined;
        }, {
            id: string;
            value?: any;
            key?: string | undefined;
        }>, "many">>;
    }, {
        eventType: z.ZodUndefined;
    }>, "strip", z.ZodTypeAny, {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    }, {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        pixelId: z.ZodOptional<z.ZodString>;
        isInitSkip: z.ZodOptional<z.ZodBoolean>;
        params: z.ZodOptional<z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            key: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            value?: any;
            key?: string | undefined;
        }, {
            id: string;
            value?: any;
            key?: string | undefined;
        }>, "many">>;
    }, {
        eventType: z.ZodEnum<["Lead", "Contact", "CompleteRegistration", "Schedule", "SubmitApplication", "ViewContent", "AddPaymentInfo", "AddToCart", "AddToWishlist", "CustomizeProduct", "Donate", "FindLocation", "InitiateCheckout", "Purchase", "Search", "StartTrial", "Subscribe"]>;
    }>, "strip", z.ZodTypeAny, {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }, {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        pixelId: z.ZodOptional<z.ZodString>;
        isInitSkip: z.ZodOptional<z.ZodBoolean>;
        params: z.ZodOptional<z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            key: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            value?: any;
            key?: string | undefined;
        }, {
            id: string;
            value?: any;
            key?: string | undefined;
        }>, "many">>;
    }, {
        eventType: z.ZodEnum<["Custom"]>;
        name: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }, {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }>]>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    } | {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    } | {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    };
    type: IntegrationBlockType.PIXEL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    } | {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    } | {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    };
    type: IntegrationBlockType.PIXEL;
    outgoingEdgeId?: string | undefined;
}>;
export type PixelBlock = z.infer<typeof pixelBlockSchema>;
//# sourceMappingURL=schemas.d.ts.map