import { z } from 'zod';
import { LogicBlockType } from './enums';
import { ItemType } from '../../items/enums';
export declare const aItemSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<ItemType.AB_TEST>;
    path: z.ZodLiteral<"a">;
}>, "strip", z.ZodTypeAny, {
    path: "a";
    id: string;
    type: ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}, {
    path: "a";
    id: string;
    type: ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}>;
export declare const bItemSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<ItemType.AB_TEST>;
    path: z.ZodLiteral<"b">;
}>, "strip", z.ZodTypeAny, {
    path: "b";
    id: string;
    type: ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}, {
    path: "b";
    id: string;
    type: ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}>;
export declare const abTestBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[LogicBlockType.AB_TEST]>;
    items: z.ZodTuple<[z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<ItemType.AB_TEST>;
        path: z.ZodLiteral<"a">;
    }>, "strip", z.ZodTypeAny, {
        path: "a";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "a";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<ItemType.AB_TEST>;
        path: z.ZodLiteral<"b">;
    }>, "strip", z.ZodTypeAny, {
        path: "b";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "b";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }>], null>;
    options: z.ZodObject<{
        aPercent: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        aPercent: number;
    }, {
        aPercent: number;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        aPercent: number;
    };
    type: LogicBlockType.AB_TEST;
    items: [{
        path: "a";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "b";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        aPercent: number;
    };
    type: LogicBlockType.AB_TEST;
    items: [{
        path: "a";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "b";
        id: string;
        type: ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }];
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultAbTestOptions: {
    aPercent: number;
};
export type AbTestBlock = z.infer<typeof abTestBlockSchema>;
//# sourceMappingURL=abTest.d.ts.map