import { z } from 'zod';
import { LogicBlockType } from './enums';
export declare const agentLinkOptionsSchema: z.ZodObject<{
    agentId: z.ZodOptional<z.ZodString>;
    groupId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    groupId?: string | undefined;
    agentId?: string | undefined;
}, {
    groupId?: string | undefined;
    agentId?: string | undefined;
}>;
export declare const agentLinkBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[LogicBlockType.AGENT_LINK]>;
    options: z.ZodObject<{
        agentId: z.ZodOptional<z.ZodString>;
        groupId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        groupId?: string | undefined;
        agentId?: string | undefined;
    }, {
        groupId?: string | undefined;
        agentId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        agentId?: string | undefined;
    };
    type: LogicBlockType.AGENT_LINK;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        agentId?: string | undefined;
    };
    type: LogicBlockType.AGENT_LINK;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultAgentLinkOptions: AgentLinkOptions;
export type AgentLinkBlock = z.infer<typeof agentLinkBlockSchema>;
export type AgentLinkOptions = z.infer<typeof agentLinkOptionsSchema>;
//# sourceMappingURL=agentLink.d.ts.map