import { z } from 'zod';
import { LogicBlockType } from './enums';
export declare const jumpOptionsSchema: z.ZodObject<{
    groupId: z.ZodOptional<z.ZodString>;
    blockId: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    groupId?: string | undefined;
    blockId?: string | undefined;
}, {
    groupId?: string | undefined;
    blockId?: string | undefined;
}>;
export declare const jumpBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[LogicBlockType.JUMP]>;
    options: z.ZodObject<{
        groupId: z.ZodOptional<z.ZodString>;
        blockId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        groupId?: string | undefined;
        blockId?: string | undefined;
    }, {
        groupId?: string | undefined;
        blockId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        blockId?: string | undefined;
    };
    type: LogicBlockType.JUMP;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        blockId?: string | undefined;
    };
    type: LogicBlockType.JUMP;
    outgoingEdgeId?: string | undefined;
}>;
export type JumpBlock = z.infer<typeof jumpBlockSchema>;
//# sourceMappingURL=jump.d.ts.map