import { z } from 'zod';
import { LogicBlockType } from './enums';
export declare const redirectOptionsSchema: z.ZodObject<{
    url: z.ZodOptional<z.ZodString>;
    isNewTab: z.ZodBoolean;
}, "strip", z.ZodTypeAny, {
    isNewTab: boolean;
    url?: string | undefined;
}, {
    isNewTab: boolean;
    url?: string | undefined;
}>;
export declare const redirectBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[LogicBlockType.REDIRECT]>;
    options: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        isNewTab: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        isNewTab: boolean;
        url?: string | undefined;
    }, {
        isNewTab: boolean;
        url?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        isNewTab: boolean;
        url?: string | undefined;
    };
    type: LogicBlockType.REDIRECT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        isNewTab: boolean;
        url?: string | undefined;
    };
    type: LogicBlockType.REDIRECT;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultRedirectOptions: RedirectOptions;
export type RedirectBlock = z.infer<typeof redirectBlockSchema>;
export type RedirectOptions = z.infer<typeof redirectOptionsSchema>;
//# sourceMappingURL=redirect.d.ts.map