import { z } from 'zod';
import { LogicBlockType } from './enums';
export declare const scriptOptionsSchema: z.ZodObject<{
    name: z.ZodString;
    content: z.ZodOptional<z.ZodString>;
    shouldExecuteInParentContext: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    name: string;
    content?: string | undefined;
    shouldExecuteInParentContext?: boolean | undefined;
}, {
    name: string;
    content?: string | undefined;
    shouldExecuteInParentContext?: boolean | undefined;
}>;
export declare const scriptBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[LogicBlockType.SCRIPT]>;
    options: z.ZodObject<{
        name: z.ZodString;
        content: z.ZodOptional<z.ZodString>;
        shouldExecuteInParentContext: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    }, {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    };
    type: LogicBlockType.SCRIPT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    };
    type: LogicBlockType.SCRIPT;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultScriptOptions: ScriptOptions;
export type ScriptBlock = z.infer<typeof scriptBlockSchema>;
export type ScriptOptions = z.infer<typeof scriptOptionsSchema>;
//# sourceMappingURL=script.d.ts.map