import { z } from 'zod';
import { LogicBlockType } from './enums';
export declare const valueTypes: readonly ["Custom", "Empty", "User ID", "Today", "Yesterday", "Tomorrow", "Random ID", "Moment of the day", "Map item with same index"];
export declare const setVariableOptionsSchema: z.ZodObject<{
    variableId: z.ZodOptional<z.ZodString>;
    expressionToEvaluate: z.ZodOptional<z.ZodString>;
    isCode: z.ZodOptional<z.ZodBoolean>;
    type: z.ZodOptional<z.ZodEnum<["Custom", "Empty", "User ID", "Today", "Yesterday", "Tomorrow", "Random ID", "Moment of the day", "Map item with same index"]>>;
    mapListItemParams: z.ZodOptional<z.ZodObject<{
        baseItemVariableId: z.ZodOptional<z.ZodString>;
        baseListVariableId: z.ZodOptional<z.ZodString>;
        targetListVariableId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        baseItemVariableId?: string | undefined;
        baseListVariableId?: string | undefined;
        targetListVariableId?: string | undefined;
    }, {
        baseItemVariableId?: string | undefined;
        baseListVariableId?: string | undefined;
        targetListVariableId?: string | undefined;
    }>>;
    isExecutedOnClient: z.ZodOptional<z.ZodBoolean>;
}, "strip", z.ZodTypeAny, {
    type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
    variableId?: string | undefined;
    expressionToEvaluate?: string | undefined;
    isCode?: boolean | undefined;
    mapListItemParams?: {
        baseItemVariableId?: string | undefined;
        baseListVariableId?: string | undefined;
        targetListVariableId?: string | undefined;
    } | undefined;
    isExecutedOnClient?: boolean | undefined;
}, {
    type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
    variableId?: string | undefined;
    expressionToEvaluate?: string | undefined;
    isCode?: boolean | undefined;
    mapListItemParams?: {
        baseItemVariableId?: string | undefined;
        baseListVariableId?: string | undefined;
        targetListVariableId?: string | undefined;
    } | undefined;
    isExecutedOnClient?: boolean | undefined;
}>;
export declare const setVariableBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[LogicBlockType.SET_VARIABLE]>;
    options: z.ZodObject<{
        variableId: z.ZodOptional<z.ZodString>;
        expressionToEvaluate: z.ZodOptional<z.ZodString>;
        isCode: z.ZodOptional<z.ZodBoolean>;
        type: z.ZodOptional<z.ZodEnum<["Custom", "Empty", "User ID", "Today", "Yesterday", "Tomorrow", "Random ID", "Moment of the day", "Map item with same index"]>>;
        mapListItemParams: z.ZodOptional<z.ZodObject<{
            baseItemVariableId: z.ZodOptional<z.ZodString>;
            baseListVariableId: z.ZodOptional<z.ZodString>;
            targetListVariableId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        }, {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        }>>;
        isExecutedOnClient: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    }, {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    };
    type: LogicBlockType.SET_VARIABLE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    };
    type: LogicBlockType.SET_VARIABLE;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultSetVariablesOptions: SetVariableOptions;
export type SetVariableBlock = z.infer<typeof setVariableBlockSchema>;
export type SetVariableOptions = z.infer<typeof setVariableOptionsSchema>;
//# sourceMappingURL=setVariable.d.ts.map