import { z } from 'zod';
import { LogicBlockType } from './enums';
export declare const waitOptionsSchema: z.ZodObject<{
    secondsToWaitFor: z.ZodOptional<z.ZodString>;
}, "strip", z.ZodTypeAny, {
    secondsToWaitFor?: string | undefined;
}, {
    secondsToWaitFor?: string | undefined;
}>;
export declare const waitBlockSchema: z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[LogicBlockType.WAIT]>;
    options: z.ZodObject<{
        secondsToWaitFor: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        secondsToWaitFor?: string | undefined;
    }, {
        secondsToWaitFor?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        secondsToWaitFor?: string | undefined;
    };
    type: LogicBlockType.WAIT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        secondsToWaitFor?: string | undefined;
    };
    type: LogicBlockType.WAIT;
    outgoingEdgeId?: string | undefined;
}>;
export declare const defaultWaitOptions: WaitOptions;
export type WaitBlock = z.infer<typeof waitBlockSchema>;
export type WaitOptions = z.infer<typeof waitOptionsSchema>;
//# sourceMappingURL=wait.d.ts.map