import { z } from 'zod';
export declare const inputBlockSchemas: readonly [z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.TEXT]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }, {
        variableId: z.ZodOptional<z.ZodString>;
    }>, {
        isLong: z.ZodBoolean;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.TEXT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.TEXT;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.CHOICE]>;
    items: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<import("../items").ItemType.BUTTON>;
        content: z.ZodOptional<z.ZodString>;
        isUrl: z.ZodOptional<z.ZodBoolean>;
        displayCondition: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            condition: z.ZodOptional<z.ZodObject<{
                logicalOperator: z.ZodNativeEnum<typeof import("./logic").LogicalOperator>;
                comparisons: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    variableId: z.ZodOptional<z.ZodString>;
                    comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("./logic").ComparisonOperators>>;
                    value: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }>>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }, {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }>, "many">;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isMultipleChoice: z.ZodBoolean;
        buttonLabel: z.ZodString;
        dynamicVariableId: z.ZodOptional<z.ZodString>;
        isSearchable: z.ZodOptional<z.ZodBoolean>;
        searchInputPlaceholder: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    }, {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    };
    type: import("./inputs").InputBlockType.CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    };
    type: import("./inputs").InputBlockType.CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.EMAIL]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.EMAIL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.EMAIL;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.NUMBER]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        min: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        max: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        step: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    };
    type: import("./inputs").InputBlockType.NUMBER;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    };
    type: import("./inputs").InputBlockType.NUMBER;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.URL]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.URL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.URL;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.PHONE]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
        defaultCountryCode: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PHONE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PHONE;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.DATE]>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            button: z.ZodString;
            from: z.ZodString;
            to: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            from: string;
            to: string;
        }, {
            button: string;
            from: string;
            to: string;
        }>;
        hasTime: z.ZodBoolean;
        isRange: z.ZodBoolean;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.DATE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.DATE;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.PAYMENT]>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        provider: z.ZodNativeEnum<typeof import("./inputs").PaymentProvider>;
        labels: z.ZodObject<{
            button: z.ZodString;
            success: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            button: string;
            success?: string | undefined;
        }, {
            button: string;
            success?: string | undefined;
        }>;
        additionalInformation: z.ZodOptional<z.ZodObject<{
            description: z.ZodOptional<z.ZodString>;
            name: z.ZodOptional<z.ZodString>;
            email: z.ZodOptional<z.ZodString>;
            phoneNumber: z.ZodOptional<z.ZodString>;
            address: z.ZodOptional<z.ZodObject<{
                country: z.ZodOptional<z.ZodString>;
                line1: z.ZodOptional<z.ZodString>;
                line2: z.ZodOptional<z.ZodString>;
                state: z.ZodOptional<z.ZodString>;
                city: z.ZodOptional<z.ZodString>;
                postalCode: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            }, {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            }>>;
        }, "strip", z.ZodTypeAny, {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        }, {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        }>>;
        credentialsId: z.ZodOptional<z.ZodString>;
        currency: z.ZodString;
        amount: z.ZodOptional<z.ZodString>;
        retryMessageContent: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    }, {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PAYMENT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PAYMENT;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./inputs").InputBlockType.RATING>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        buttonType: z.ZodUnion<[z.ZodLiteral<"Icons">, z.ZodLiteral<"Numbers">]>;
        length: z.ZodNumber;
        labels: z.ZodObject<{
            left: z.ZodOptional<z.ZodString>;
            right: z.ZodOptional<z.ZodString>;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        }, {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        }>;
        customIcon: z.ZodObject<{
            isEnabled: z.ZodBoolean;
            svg: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            isEnabled: boolean;
            svg?: string | undefined;
        }, {
            isEnabled: boolean;
            svg?: string | undefined;
        }>;
        isOneClickSubmitEnabled: z.ZodOptional<z.ZodBoolean>;
    }>, "strip", z.ZodTypeAny, {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    }, {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    };
    type: import("./inputs").InputBlockType.RATING;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    };
    type: import("./inputs").InputBlockType.RATING;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./inputs").InputBlockType.FILE>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isRequired: z.ZodOptional<z.ZodBoolean>;
        isMultipleAllowed: z.ZodBoolean;
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
            clear: z.ZodOptional<z.ZodString>;
            skip: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        }, {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        }>;
        sizeLimit: z.ZodOptional<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    };
    type: import("./inputs").InputBlockType.FILE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    };
    type: import("./inputs").InputBlockType.FILE;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.PICTURE_CHOICE]>;
    items: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<import("../items").ItemType.PICTURE_CHOICE>;
        pictureSrc: z.ZodOptional<z.ZodString>;
        title: z.ZodOptional<z.ZodString>;
        description: z.ZodOptional<z.ZodString>;
        displayCondition: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            condition: z.ZodOptional<z.ZodObject<{
                logicalOperator: z.ZodNativeEnum<typeof import("./logic").LogicalOperator>;
                comparisons: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    variableId: z.ZodOptional<z.ZodString>;
                    comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("./logic").ComparisonOperators>>;
                    value: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }>>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }, {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }>, "many">;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isMultipleChoice: z.ZodOptional<z.ZodBoolean>;
        isSearchable: z.ZodOptional<z.ZodBoolean>;
        buttonLabel: z.ZodString;
        searchInputPlaceholder: z.ZodString;
        dynamicItems: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            titlesVariableId: z.ZodOptional<z.ZodString>;
            descriptionsVariableId: z.ZodOptional<z.ZodString>;
            pictureSrcsVariableId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        }, {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    }, {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    };
    type: import("./inputs").InputBlockType.PICTURE_CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    };
    type: import("./inputs").InputBlockType.PICTURE_CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}>];
export declare const blockSchema: z.ZodDiscriminatedUnion<"type", [z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<"start">;
    label: z.ZodString;
}>, "strip", z.ZodTypeAny, {
    label: string;
    id: string;
    groupId: string;
    type: "start";
    outgoingEdgeId?: string | undefined;
}, {
    label: string;
    id: string;
    groupId: string;
    type: "start";
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./bubbles").BubbleBlockType.TEXT]>;
    content: z.ZodObject<{
        html: z.ZodOptional<z.ZodString>;
        richText: z.ZodArray<z.ZodAny, "many">;
        plainText: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    }, {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.TEXT;
    content: {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.TEXT;
    content: {
        richText: any[];
        html?: string | undefined;
        plainText?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./bubbles").BubbleBlockType.IMAGE]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        clickLink: z.ZodOptional<z.ZodObject<{
            url: z.ZodOptional<z.ZodString>;
            alt: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            url?: string | undefined;
            alt?: string | undefined;
        }, {
            url?: string | undefined;
            alt?: string | undefined;
        }>>;
    }, "strip", z.ZodTypeAny, {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    }, {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.IMAGE;
    content: {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.IMAGE;
    content: {
        url?: string | undefined;
        clickLink?: {
            url?: string | undefined;
            alt?: string | undefined;
        } | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./bubbles").BubbleBlockType.VIDEO]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        id: z.ZodOptional<z.ZodString>;
        type: z.ZodOptional<z.ZodNativeEnum<typeof import("./bubbles").VideoBubbleContentType>>;
    }, "strip", z.ZodTypeAny, {
        url?: string | undefined;
        id?: string | undefined;
        type?: import("./bubbles").VideoBubbleContentType | undefined;
    }, {
        url?: string | undefined;
        id?: string | undefined;
        type?: import("./bubbles").VideoBubbleContentType | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.VIDEO;
    content: {
        url?: string | undefined;
        id?: string | undefined;
        type?: import("./bubbles").VideoBubbleContentType | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.VIDEO;
    content: {
        url?: string | undefined;
        id?: string | undefined;
        type?: import("./bubbles").VideoBubbleContentType | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./bubbles").BubbleBlockType.EMBED]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        height: z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>;
    }, "strip", z.ZodTypeAny, {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    }, {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.EMBED;
    content: {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.EMBED;
    content: {
        height: number | `{{${string}}}`;
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./bubbles").BubbleBlockType.AUDIO]>;
    content: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        url?: string | undefined;
    }, {
        url?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.AUDIO;
    content: {
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: import("./bubbles").BubbleBlockType.AUDIO;
    content: {
        url?: string | undefined;
    };
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.TEXT]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }, {
        variableId: z.ZodOptional<z.ZodString>;
    }>, {
        isLong: z.ZodBoolean;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.TEXT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        isLong: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.TEXT;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.CHOICE]>;
    items: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<import("../items").ItemType.BUTTON>;
        content: z.ZodOptional<z.ZodString>;
        isUrl: z.ZodOptional<z.ZodBoolean>;
        displayCondition: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            condition: z.ZodOptional<z.ZodObject<{
                logicalOperator: z.ZodNativeEnum<typeof import("./logic").LogicalOperator>;
                comparisons: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    variableId: z.ZodOptional<z.ZodString>;
                    comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("./logic").ComparisonOperators>>;
                    value: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }>>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }, {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }>, "many">;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isMultipleChoice: z.ZodBoolean;
        buttonLabel: z.ZodString;
        dynamicVariableId: z.ZodOptional<z.ZodString>;
        isSearchable: z.ZodOptional<z.ZodBoolean>;
        searchInputPlaceholder: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    }, {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    };
    type: import("./inputs").InputBlockType.CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        isMultipleChoice: boolean;
        buttonLabel: string;
        variableId?: string | undefined;
        dynamicVariableId?: string | undefined;
        isSearchable?: boolean | undefined;
        searchInputPlaceholder?: string | undefined;
    };
    type: import("./inputs").InputBlockType.CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.BUTTON;
        blockId: string;
        outgoingEdgeId?: string | undefined;
        content?: string | undefined;
        isUrl?: boolean | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.EMAIL]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.EMAIL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.EMAIL;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.NUMBER]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        min: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        max: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        step: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    };
    type: import("./inputs").InputBlockType.NUMBER;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        variableId?: string | undefined;
        min?: number | `{{${string}}}` | undefined;
        max?: number | `{{${string}}}` | undefined;
        step?: number | `{{${string}}}` | undefined;
    };
    type: import("./inputs").InputBlockType.NUMBER;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.URL]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.URL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.URL;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.PHONE]>;
    options: z.ZodObject<z.objectUtil.extendShape<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
        }, {
            button: string;
            placeholder: string;
        }>;
    }>, {
        retryMessageContent: z.ZodString;
        defaultCountryCode: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PHONE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
        };
        retryMessageContent: string;
        variableId?: string | undefined;
        defaultCountryCode?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PHONE;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.DATE]>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        labels: z.ZodObject<{
            button: z.ZodString;
            from: z.ZodString;
            to: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            from: string;
            to: string;
        }, {
            button: string;
            from: string;
            to: string;
        }>;
        hasTime: z.ZodBoolean;
        isRange: z.ZodBoolean;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    }, {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.DATE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            from: string;
            to: string;
        };
        hasTime: boolean;
        isRange: boolean;
        variableId?: string | undefined;
    };
    type: import("./inputs").InputBlockType.DATE;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.PAYMENT]>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        provider: z.ZodNativeEnum<typeof import("./inputs").PaymentProvider>;
        labels: z.ZodObject<{
            button: z.ZodString;
            success: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            button: string;
            success?: string | undefined;
        }, {
            button: string;
            success?: string | undefined;
        }>;
        additionalInformation: z.ZodOptional<z.ZodObject<{
            description: z.ZodOptional<z.ZodString>;
            name: z.ZodOptional<z.ZodString>;
            email: z.ZodOptional<z.ZodString>;
            phoneNumber: z.ZodOptional<z.ZodString>;
            address: z.ZodOptional<z.ZodObject<{
                country: z.ZodOptional<z.ZodString>;
                line1: z.ZodOptional<z.ZodString>;
                line2: z.ZodOptional<z.ZodString>;
                state: z.ZodOptional<z.ZodString>;
                city: z.ZodOptional<z.ZodString>;
                postalCode: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            }, {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            }>>;
        }, "strip", z.ZodTypeAny, {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        }, {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        }>>;
        credentialsId: z.ZodOptional<z.ZodString>;
        currency: z.ZodString;
        amount: z.ZodOptional<z.ZodString>;
        retryMessageContent: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    }, {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PAYMENT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            success?: string | undefined;
        };
        provider: import("./inputs").PaymentProvider;
        currency: string;
        variableId?: string | undefined;
        retryMessageContent?: string | undefined;
        additionalInformation?: {
            address?: {
                country?: string | undefined;
                line1?: string | undefined;
                line2?: string | undefined;
                state?: string | undefined;
                city?: string | undefined;
                postalCode?: string | undefined;
            } | undefined;
            description?: string | undefined;
            name?: string | undefined;
            email?: string | undefined;
            phoneNumber?: string | undefined;
        } | undefined;
        credentialsId?: string | undefined;
        amount?: string | undefined;
    };
    type: import("./inputs").InputBlockType.PAYMENT;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./inputs").InputBlockType.RATING>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        buttonType: z.ZodUnion<[z.ZodLiteral<"Icons">, z.ZodLiteral<"Numbers">]>;
        length: z.ZodNumber;
        labels: z.ZodObject<{
            left: z.ZodOptional<z.ZodString>;
            right: z.ZodOptional<z.ZodString>;
            button: z.ZodString;
        }, "strip", z.ZodTypeAny, {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        }, {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        }>;
        customIcon: z.ZodObject<{
            isEnabled: z.ZodBoolean;
            svg: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            isEnabled: boolean;
            svg?: string | undefined;
        }, {
            isEnabled: boolean;
            svg?: string | undefined;
        }>;
        isOneClickSubmitEnabled: z.ZodOptional<z.ZodBoolean>;
    }>, "strip", z.ZodTypeAny, {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    }, {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    };
    type: import("./inputs").InputBlockType.RATING;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        length: number;
        labels: {
            button: string;
            left?: string | undefined;
            right?: string | undefined;
        };
        buttonType: "Icons" | "Numbers";
        customIcon: {
            isEnabled: boolean;
            svg?: string | undefined;
        };
        variableId?: string | undefined;
        isOneClickSubmitEnabled?: boolean | undefined;
    };
    type: import("./inputs").InputBlockType.RATING;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./inputs").InputBlockType.FILE>;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isRequired: z.ZodOptional<z.ZodBoolean>;
        isMultipleAllowed: z.ZodBoolean;
        labels: z.ZodObject<{
            placeholder: z.ZodString;
            button: z.ZodString;
            clear: z.ZodOptional<z.ZodString>;
            skip: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        }, {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        }>;
        sizeLimit: z.ZodOptional<z.ZodNumber>;
    }>, "strip", z.ZodTypeAny, {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    }, {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    };
    type: import("./inputs").InputBlockType.FILE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        labels: {
            button: string;
            placeholder: string;
            clear?: string | undefined;
            skip?: string | undefined;
        };
        isMultipleAllowed: boolean;
        variableId?: string | undefined;
        isRequired?: boolean | undefined;
        sizeLimit?: number | undefined;
    };
    type: import("./inputs").InputBlockType.FILE;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./inputs").InputBlockType.PICTURE_CHOICE]>;
    items: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<import("../items").ItemType.PICTURE_CHOICE>;
        pictureSrc: z.ZodOptional<z.ZodString>;
        title: z.ZodOptional<z.ZodString>;
        description: z.ZodOptional<z.ZodString>;
        displayCondition: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            condition: z.ZodOptional<z.ZodObject<{
                logicalOperator: z.ZodNativeEnum<typeof import("./logic").LogicalOperator>;
                comparisons: z.ZodArray<z.ZodObject<{
                    id: z.ZodString;
                    variableId: z.ZodOptional<z.ZodString>;
                    comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("./logic").ComparisonOperators>>;
                    value: z.ZodOptional<z.ZodString>;
                }, "strip", z.ZodTypeAny, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }, {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }>, "many">;
            }, "strip", z.ZodTypeAny, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }, {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            }>>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }, {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }, {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }>, "many">;
    options: z.ZodObject<z.objectUtil.extendShape<{
        variableId: z.ZodOptional<z.ZodString>;
    }, {
        isMultipleChoice: z.ZodOptional<z.ZodBoolean>;
        isSearchable: z.ZodOptional<z.ZodBoolean>;
        buttonLabel: z.ZodString;
        searchInputPlaceholder: z.ZodString;
        dynamicItems: z.ZodOptional<z.ZodObject<{
            isEnabled: z.ZodOptional<z.ZodBoolean>;
            titlesVariableId: z.ZodOptional<z.ZodString>;
            descriptionsVariableId: z.ZodOptional<z.ZodString>;
            pictureSrcsVariableId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        }, {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        }>>;
    }>, "strip", z.ZodTypeAny, {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    }, {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    };
    type: import("./inputs").InputBlockType.PICTURE_CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        buttonLabel: string;
        searchInputPlaceholder: string;
        variableId?: string | undefined;
        isMultipleChoice?: boolean | undefined;
        isSearchable?: boolean | undefined;
        dynamicItems?: {
            isEnabled?: boolean | undefined;
            titlesVariableId?: string | undefined;
            descriptionsVariableId?: string | undefined;
            pictureSrcsVariableId?: string | undefined;
        } | undefined;
    };
    type: import("./inputs").InputBlockType.PICTURE_CHOICE;
    items: {
        id: string;
        type: import("../items").ItemType.PICTURE_CHOICE;
        blockId: string;
        title?: string | undefined;
        outgoingEdgeId?: string | undefined;
        displayCondition?: {
            isEnabled?: boolean | undefined;
            condition?: {
                logicalOperator: import("./logic").LogicalOperator;
                comparisons: {
                    id: string;
                    value?: string | undefined;
                    variableId?: string | undefined;
                    comparisonOperator?: import("./logic").ComparisonOperators | undefined;
                }[];
            } | undefined;
        } | undefined;
        description?: string | undefined;
        pictureSrc?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.SCRIPT]>;
    options: z.ZodObject<{
        name: z.ZodString;
        content: z.ZodOptional<z.ZodString>;
        shouldExecuteInParentContext: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    }, {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    };
    type: import("./logic").LogicBlockType.SCRIPT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        name: string;
        content?: string | undefined;
        shouldExecuteInParentContext?: boolean | undefined;
    };
    type: import("./logic").LogicBlockType.SCRIPT;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.CONDITION]>;
    items: z.ZodArray<z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<import("../items").ItemType.CONDITION>;
        content: z.ZodObject<{
            logicalOperator: z.ZodNativeEnum<typeof import("./logic").LogicalOperator>;
            comparisons: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                variableId: z.ZodOptional<z.ZodString>;
                comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("./logic").ComparisonOperators>>;
                value: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            logicalOperator: import("./logic").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }[];
        }, {
            logicalOperator: import("./logic").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }[];
        }>;
    }>, "strip", z.ZodTypeAny, {
        id: string;
        type: import("../items").ItemType.CONDITION;
        content: {
            logicalOperator: import("./logic").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }[];
        };
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        id: string;
        type: import("../items").ItemType.CONDITION;
        content: {
            logicalOperator: import("./logic").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }[];
        };
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }>, "many">;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    type: import("./logic").LogicBlockType.CONDITION;
    items: {
        id: string;
        type: import("../items").ItemType.CONDITION;
        content: {
            logicalOperator: import("./logic").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }[];
        };
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    type: import("./logic").LogicBlockType.CONDITION;
    items: {
        id: string;
        type: import("../items").ItemType.CONDITION;
        content: {
            logicalOperator: import("./logic").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("./logic").ComparisonOperators | undefined;
            }[];
        };
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }[];
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.REDIRECT]>;
    options: z.ZodObject<{
        url: z.ZodOptional<z.ZodString>;
        isNewTab: z.ZodBoolean;
    }, "strip", z.ZodTypeAny, {
        isNewTab: boolean;
        url?: string | undefined;
    }, {
        isNewTab: boolean;
        url?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        isNewTab: boolean;
        url?: string | undefined;
    };
    type: import("./logic").LogicBlockType.REDIRECT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        isNewTab: boolean;
        url?: string | undefined;
    };
    type: import("./logic").LogicBlockType.REDIRECT;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.SET_VARIABLE]>;
    options: z.ZodObject<{
        variableId: z.ZodOptional<z.ZodString>;
        expressionToEvaluate: z.ZodOptional<z.ZodString>;
        isCode: z.ZodOptional<z.ZodBoolean>;
        type: z.ZodOptional<z.ZodEnum<["Custom", "Empty", "User ID", "Today", "Yesterday", "Tomorrow", "Random ID", "Moment of the day", "Map item with same index"]>>;
        mapListItemParams: z.ZodOptional<z.ZodObject<{
            baseItemVariableId: z.ZodOptional<z.ZodString>;
            baseListVariableId: z.ZodOptional<z.ZodString>;
            targetListVariableId: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        }, {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        }>>;
        isExecutedOnClient: z.ZodOptional<z.ZodBoolean>;
    }, "strip", z.ZodTypeAny, {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    }, {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    };
    type: import("./logic").LogicBlockType.SET_VARIABLE;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        type?: "Custom" | "Empty" | "User ID" | "Today" | "Yesterday" | "Tomorrow" | "Random ID" | "Moment of the day" | "Map item with same index" | undefined;
        variableId?: string | undefined;
        expressionToEvaluate?: string | undefined;
        isCode?: boolean | undefined;
        mapListItemParams?: {
            baseItemVariableId?: string | undefined;
            baseListVariableId?: string | undefined;
            targetListVariableId?: string | undefined;
        } | undefined;
        isExecutedOnClient?: boolean | undefined;
    };
    type: import("./logic").LogicBlockType.SET_VARIABLE;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.AGENT_LINK]>;
    options: z.ZodObject<{
        agentId: z.ZodOptional<z.ZodString>;
        groupId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        groupId?: string | undefined;
        agentId?: string | undefined;
    }, {
        groupId?: string | undefined;
        agentId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        agentId?: string | undefined;
    };
    type: import("./logic").LogicBlockType.AGENT_LINK;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        agentId?: string | undefined;
    };
    type: import("./logic").LogicBlockType.AGENT_LINK;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.WAIT]>;
    options: z.ZodObject<{
        secondsToWaitFor: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        secondsToWaitFor?: string | undefined;
    }, {
        secondsToWaitFor?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        secondsToWaitFor?: string | undefined;
    };
    type: import("./logic").LogicBlockType.WAIT;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        secondsToWaitFor?: string | undefined;
    };
    type: import("./logic").LogicBlockType.WAIT;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.JUMP]>;
    options: z.ZodObject<{
        groupId: z.ZodOptional<z.ZodString>;
        blockId: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        groupId?: string | undefined;
        blockId?: string | undefined;
    }, {
        groupId?: string | undefined;
        blockId?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        blockId?: string | undefined;
    };
    type: import("./logic").LogicBlockType.JUMP;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        groupId?: string | undefined;
        blockId?: string | undefined;
    };
    type: import("./logic").LogicBlockType.JUMP;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./logic").LogicBlockType.AB_TEST]>;
    items: z.ZodTuple<[z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<import("../items").ItemType.AB_TEST>;
        path: z.ZodLiteral<"a">;
    }>, "strip", z.ZodTypeAny, {
        path: "a";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "a";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        id: z.ZodString;
        blockId: z.ZodString;
        outgoingEdgeId: z.ZodOptional<z.ZodString>;
    }, {
        type: z.ZodLiteral<import("../items").ItemType.AB_TEST>;
        path: z.ZodLiteral<"b">;
    }>, "strip", z.ZodTypeAny, {
        path: "b";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "b";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }>], null>;
    options: z.ZodObject<{
        aPercent: z.ZodNumber;
    }, "strip", z.ZodTypeAny, {
        aPercent: number;
    }, {
        aPercent: number;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        aPercent: number;
    };
    type: import("./logic").LogicBlockType.AB_TEST;
    items: [{
        path: "a";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "b";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }];
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        aPercent: number;
    };
    type: import("./logic").LogicBlockType.AB_TEST;
    items: [{
        path: "a";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }, {
        path: "b";
        id: string;
        type: import("../items").ItemType.AB_TEST;
        blockId: string;
        outgoingEdgeId?: string | undefined;
    }];
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./integrations").IntegrationBlockType.GOOGLE_ANALYTICS]>;
    options: z.ZodObject<{
        trackingId: z.ZodOptional<z.ZodString>;
        category: z.ZodOptional<z.ZodString>;
        action: z.ZodOptional<z.ZodString>;
        label: z.ZodOptional<z.ZodString>;
        value: z.ZodOptional<z.ZodUnion<[z.ZodNumber, z.ZodType<`{{${string}}}`, z.ZodTypeDef, `{{${string}}}`>]>>;
        sendTo: z.ZodOptional<z.ZodString>;
    }, "strip", z.ZodTypeAny, {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    }, {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    };
    type: import("./integrations").IntegrationBlockType.GOOGLE_ANALYTICS;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        value?: number | `{{${string}}}` | undefined;
        label?: string | undefined;
        trackingId?: string | undefined;
        category?: string | undefined;
        action?: string | undefined;
        sendTo?: string | undefined;
    };
    type: import("./integrations").IntegrationBlockType.GOOGLE_ANALYTICS;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    groupId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodEnum<[import("./integrations").IntegrationBlockType.PIXEL]>;
    options: z.ZodDiscriminatedUnion<"eventType", [z.ZodObject<z.objectUtil.extendShape<{
        pixelId: z.ZodOptional<z.ZodString>;
        isInitSkip: z.ZodOptional<z.ZodBoolean>;
        params: z.ZodOptional<z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            key: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            value?: any;
            key?: string | undefined;
        }, {
            id: string;
            value?: any;
            key?: string | undefined;
        }>, "many">>;
    }, {
        eventType: z.ZodUndefined;
    }>, "strip", z.ZodTypeAny, {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    }, {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        pixelId: z.ZodOptional<z.ZodString>;
        isInitSkip: z.ZodOptional<z.ZodBoolean>;
        params: z.ZodOptional<z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            key: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            value?: any;
            key?: string | undefined;
        }, {
            id: string;
            value?: any;
            key?: string | undefined;
        }>, "many">>;
    }, {
        eventType: z.ZodEnum<["Lead", "Contact", "CompleteRegistration", "Schedule", "SubmitApplication", "ViewContent", "AddPaymentInfo", "AddToCart", "AddToWishlist", "CustomizeProduct", "Donate", "FindLocation", "InitiateCheckout", "Purchase", "Search", "StartTrial", "Subscribe"]>;
    }>, "strip", z.ZodTypeAny, {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }, {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }>, z.ZodObject<z.objectUtil.extendShape<{
        pixelId: z.ZodOptional<z.ZodString>;
        isInitSkip: z.ZodOptional<z.ZodBoolean>;
        params: z.ZodOptional<z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            key: z.ZodOptional<z.ZodString>;
            value: z.ZodOptional<z.ZodAny>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            value?: any;
            key?: string | undefined;
        }, {
            id: string;
            value?: any;
            key?: string | undefined;
        }>, "many">>;
    }, {
        eventType: z.ZodEnum<["Custom"]>;
        name: z.ZodOptional<z.ZodString>;
    }>, "strip", z.ZodTypeAny, {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }, {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    }>]>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    groupId: string;
    options: {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    } | {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    } | {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    };
    type: import("./integrations").IntegrationBlockType.PIXEL;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    groupId: string;
    options: {
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
        eventType?: undefined;
    } | {
        eventType: "Lead" | "Contact" | "CompleteRegistration" | "Schedule" | "SubmitApplication" | "ViewContent" | "AddPaymentInfo" | "AddToCart" | "AddToWishlist" | "CustomizeProduct" | "Donate" | "FindLocation" | "InitiateCheckout" | "Purchase" | "Search" | "StartTrial" | "Subscribe";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    } | {
        eventType: "Custom";
        params?: {
            id: string;
            value?: any;
            key?: string | undefined;
        }[] | undefined;
        name?: string | undefined;
        pixelId?: string | undefined;
        isInitSkip?: boolean | undefined;
    };
    type: import("./integrations").IntegrationBlockType.PIXEL;
    outgoingEdgeId?: string | undefined;
}>]>;
//# sourceMappingURL=schemas.d.ts.map