import { z } from 'zod';
declare const itemSchema: z.ZodUnion<[z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./enums").ItemType.BUTTON>;
    content: z.ZodOptional<z.ZodString>;
    isUrl: z.ZodOptional<z.ZodBoolean>;
    displayCondition: z.ZodOptional<z.ZodObject<{
        isEnabled: z.ZodOptional<z.ZodBoolean>;
        condition: z.ZodOptional<z.ZodObject<{
            logicalOperator: z.ZodNativeEnum<typeof import("../blocks").LogicalOperator>;
            comparisons: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                variableId: z.ZodOptional<z.ZodString>;
                comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("../blocks").ComparisonOperators>>;
                value: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        }, {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        }>>;
    }, "strip", z.ZodTypeAny, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }>>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    type: import("./enums").ItemType.BUTTON;
    blockId: string;
    outgoingEdgeId?: string | undefined;
    content?: string | undefined;
    isUrl?: boolean | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
}, {
    id: string;
    type: import("./enums").ItemType.BUTTON;
    blockId: string;
    outgoingEdgeId?: string | undefined;
    content?: string | undefined;
    isUrl?: boolean | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./enums").ItemType.CONDITION>;
    content: z.ZodObject<{
        logicalOperator: z.ZodNativeEnum<typeof import("../blocks").LogicalOperator>;
        comparisons: z.ZodArray<z.ZodObject<{
            id: z.ZodString;
            variableId: z.ZodOptional<z.ZodString>;
            comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("../blocks").ComparisonOperators>>;
            value: z.ZodOptional<z.ZodString>;
        }, "strip", z.ZodTypeAny, {
            id: string;
            value?: string | undefined;
            variableId?: string | undefined;
            comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
        }, {
            id: string;
            value?: string | undefined;
            variableId?: string | undefined;
            comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
        }>, "many">;
    }, "strip", z.ZodTypeAny, {
        logicalOperator: import("../blocks").LogicalOperator;
        comparisons: {
            id: string;
            value?: string | undefined;
            variableId?: string | undefined;
            comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
        }[];
    }, {
        logicalOperator: import("../blocks").LogicalOperator;
        comparisons: {
            id: string;
            value?: string | undefined;
            variableId?: string | undefined;
            comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
        }[];
    }>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    type: import("./enums").ItemType.CONDITION;
    content: {
        logicalOperator: import("../blocks").LogicalOperator;
        comparisons: {
            id: string;
            value?: string | undefined;
            variableId?: string | undefined;
            comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
        }[];
    };
    blockId: string;
    outgoingEdgeId?: string | undefined;
}, {
    id: string;
    type: import("./enums").ItemType.CONDITION;
    content: {
        logicalOperator: import("../blocks").LogicalOperator;
        comparisons: {
            id: string;
            value?: string | undefined;
            variableId?: string | undefined;
            comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
        }[];
    };
    blockId: string;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./enums").ItemType.PICTURE_CHOICE>;
    pictureSrc: z.ZodOptional<z.ZodString>;
    title: z.ZodOptional<z.ZodString>;
    description: z.ZodOptional<z.ZodString>;
    displayCondition: z.ZodOptional<z.ZodObject<{
        isEnabled: z.ZodOptional<z.ZodBoolean>;
        condition: z.ZodOptional<z.ZodObject<{
            logicalOperator: z.ZodNativeEnum<typeof import("../blocks").LogicalOperator>;
            comparisons: z.ZodArray<z.ZodObject<{
                id: z.ZodString;
                variableId: z.ZodOptional<z.ZodString>;
                comparisonOperator: z.ZodOptional<z.ZodNativeEnum<typeof import("../blocks").ComparisonOperators>>;
                value: z.ZodOptional<z.ZodString>;
            }, "strip", z.ZodTypeAny, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }, {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }>, "many">;
        }, "strip", z.ZodTypeAny, {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        }, {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        }>>;
    }, "strip", z.ZodTypeAny, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }, {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    }>>;
}>, "strip", z.ZodTypeAny, {
    id: string;
    type: import("./enums").ItemType.PICTURE_CHOICE;
    blockId: string;
    title?: string | undefined;
    outgoingEdgeId?: string | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
    description?: string | undefined;
    pictureSrc?: string | undefined;
}, {
    id: string;
    type: import("./enums").ItemType.PICTURE_CHOICE;
    blockId: string;
    title?: string | undefined;
    outgoingEdgeId?: string | undefined;
    displayCondition?: {
        isEnabled?: boolean | undefined;
        condition?: {
            logicalOperator: import("../blocks").LogicalOperator;
            comparisons: {
                id: string;
                value?: string | undefined;
                variableId?: string | undefined;
                comparisonOperator?: import("../blocks").ComparisonOperators | undefined;
            }[];
        } | undefined;
    } | undefined;
    description?: string | undefined;
    pictureSrc?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./enums").ItemType.AB_TEST>;
    path: z.ZodLiteral<"a">;
}>, "strip", z.ZodTypeAny, {
    path: "a";
    id: string;
    type: import("./enums").ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}, {
    path: "a";
    id: string;
    type: import("./enums").ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}>, z.ZodObject<z.objectUtil.extendShape<{
    id: z.ZodString;
    blockId: z.ZodString;
    outgoingEdgeId: z.ZodOptional<z.ZodString>;
}, {
    type: z.ZodLiteral<import("./enums").ItemType.AB_TEST>;
    path: z.ZodLiteral<"b">;
}>, "strip", z.ZodTypeAny, {
    path: "b";
    id: string;
    type: import("./enums").ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}, {
    path: "b";
    id: string;
    type: import("./enums").ItemType.AB_TEST;
    blockId: string;
    outgoingEdgeId?: string | undefined;
}>]>;
export type Item = z.infer<typeof itemSchema>;
export {};
//# sourceMappingURL=schemas.d.ts.map